## GcrCertificateDetailsWidget GcrCertificateDetailsWidget |

## Synopsis

                        GcrCertificateDetailsWidgetPrivate;
                        GcrCertificateDetailsWidget;
    GcrCertificateDetailsWidget* gcr_certificate_details_widget_new
                                                            (GcrCertificate *cert);
    GcrCertificate*     gcr_certificate_details_widget_get_certificate
                                                            (GcrCertificateDetailsWidget *details);
    void                gcr_certificate_details_widget_set_certificate
                                                            (GcrCertificateDetailsWidget *details,
                                                             GcrCertificate *cert);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkAlignment
                                           +----GcrCertificateDetailsWidget

## Implemented Interfaces

GcrCertificateDetailsWidget implements AtkImplementorIface and GtkBuildable.

## Properties

      "certificate"              GcrCertificateIface*  : Read / Write

## Description

## Details

### GcrCertificateDetailsWidgetPrivate

    typedef struct _GcrCertificateDetailsWidgetPrivate GcrCertificateDetailsWidgetPrivate;

### GcrCertificateDetailsWidget

    typedef struct _GcrCertificateDetailsWidget GcrCertificateDetailsWidget;

### gcr_certificate_details_widget_new ()

    GcrCertificateDetailsWidget* gcr_certificate_details_widget_new
                                                            (GcrCertificate *cert);

`cert` : |
Returns : |

### gcr_certificate_details_widget_get_certificate ()

    GcrCertificate*     gcr_certificate_details_widget_get_certificate
                                                            (GcrCertificateDetailsWidget *details);

`details` : |
Returns : |

### gcr_certificate_details_widget_set_certificate ()

    void                gcr_certificate_details_widget_set_certificate
                                                            (GcrCertificateDetailsWidget *details,
                                                             GcrCertificate *cert);

`details` : |
`cert` : |

## Property Details

### The `"certificate"` property

      "certificate"              GcrCertificateIface*  : Read / Write

Certificate to display.